//Brent Cowan 2011
//This class simplifies the use of the iToo motion sensing controller.

class IToo
{
private:
	bool  init;
	static Core* G;

	int controllerNum;
	float vTilt, vTiltSmooth;
	float hTilt, hTiltSmooth;
	float accel, accelSmooth;
	float flickSensor;
	bool flick, flickPrevious;

public:
	IToo(Core* core, int controllerNum);
	void Step();

	float GetVerticalTilt();
	float GetHorizontalTilt();
	float GetAcceleration();
	bool  GetFlick();
	bool  GetButtonPress(int buttonNum);
	bool  GetButtonHold(int buttonNum);
	bool  GetButtonRelease(int buttonNum);
};